import * as PropTypes from 'prop-types';
export const FormPropTypes = {
  children: PropTypes.oneOfType([PropTypes.element, // @ts-ignore
  PropTypes.arrayOf(PropTypes.element)]).isRequired,
  prefix: PropTypes.oneOfType([PropTypes.string, PropTypes.number, PropTypes.element]),
  suffix: PropTypes.oneOfType([PropTypes.string, PropTypes.number, PropTypes.element]),
  initialState: PropTypes.object,
  onSubmit: PropTypes.func.isRequired
};
export const FieldPropTypes = {
  children: PropTypes.element.isRequired,
  onChange: PropTypes.func,
  label: PropTypes.string,
  name: PropTypes.string.isRequired,
  rules: PropTypes.array
};